- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# iosxr – Use iosxr netconf plugin to run netconf commands on Cisco IOSXR platform

New in version 2.9.

- Synopsis

- Parameters

- Status

## Synopsis

- This iosxr plugin provides low level abstraction apis for sending and receiving netconf commands from Cisco iosxr network devices.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
ncclient_device_handler string | Default: "iosxr" |  | Specifies the ncclient device handler name for Cisco iosxr network os. To identify the ncclient device handler name refer ncclient library documentation.

## Status

- This netconf is not guaranteed to have a backwards compatible interface. [preview]

- This netconf is maintained by the Ansible Community. [community]

### Authors

- Ansible Networking Team

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.